
Redmine - Defect #24066

Issue after upgrading to MariaDB 10.1.18

2016-10-14 05:12 - heykel limaiem

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

After upgrading my local MariaDB version i can't run redmine anymore; after checking the log i found out this:

[ 2016-10-13 21:33:36.2518 2319/7f763b7fe700 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 2-3] C

annot checkout session because a spawning error occurred. The identifier of the error is 4f8ea207.

 Please see earlier logs for details about the error.

App 6817 stdout: 

App 6817 stdout: 

[ 2016-10-13 22:09:26.5580 2319/7f76401f1700 age/Cor/App/Implementation.cpp:304 ]: Could not spawn

 process for application /var/...../bugs: An error occurred while starting up the preloader.

  Error ID: 3ada3e39

  Error details saved to: /tmp/passenger-error-KQidBu.html

  Message from application: There was an error while trying to load the gem 'mysql2'. (Bundler::Ge

mRequireError)

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:80:in `rescue in block (2 level

s) in require'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:76:in `block (2 levels) in requ

ire'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `each'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `block in require'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `each'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `require'

  /usr/local/share/gems/gems/bundler-1.11.2/lib/bundler.rb:99:in `require'

  /var/www/vhosts/f.....bugs/config/application.rb:5:in `<top (required)>'

  /var/www/vhosts/.....bugs/config/environment.rb:2:in `require'

  /var/www/vhosts/.....bugs/config/environment.rb:2:in `<top (required)>'

  config.ru:3:in `require'

  config.ru:3:in `block in <main>'

  /usr/share/gems/gems/rack-1.6.4/lib/rack/builder.rb:55:in `instance_eval'

  /usr/share/gems/gems/rack-1.6.4/lib/rack/builder.rb:55:in `initialize'

  config.ru:1:in `new'

  config.ru:1:in `<main>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:110:in `eval'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:110:in `preload_app'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:156:in `<module:App>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `<module:PhusionPassenger>'

  /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<main>'

[ 2016-10-13 22:09:26.5675 2319/7f763affd700 age/Cor/Con/CheckoutSession.cpp:285 ]: [Client 3-3] C

annot checkout session because a spawning error occurred. The identifier of the error is 3ada3e39.

 Please see earlier logs for details about the error.

History

#1 - 2016-10-14 05:14 - heykel limaiem

This is a blocking issue for us and i tried a couple of suggestion found like bundle update mysql and stuff like that but it didn't fix my issue.

Thanks for you help

#2 - 2016-10-14 05:38 - Toshi MARUYAMA

- Status changed from New to Closed
- Resolution set to Invalid

Please use forum for question.

Redmine does not support MariaDB.
